﻿namespace ExCSS
{
    public static class PropertyNames
    {
        public static readonly string AlignContent = "align-content";
        public static readonly string AlignItems = "align-items";
        public static readonly string AlignBaseline = "alignment-baseline";
        public static readonly string AlignSelf = "align-self";
        public static readonly string Accelerator = "accelerator";
        public static readonly string Animation = "animation";
        public static readonly string AnimationDelay = "animation-delay";
        public static readonly string AnimationDirection = "animation-direction";
        public static readonly string AnimationDuration = "animation-duration";
        public static readonly string AnimationFillMode = "animation-fill-mode";
        public static readonly string AnimationIterationCount = "animation-iteration-count";
        public static readonly string AnimationName = "animation-name";
        public static readonly string AnimationPlayState = "animation-play-state";
        public static readonly string AnimationTimingFunction = "animation-timing-function";
        public static readonly string BackgroundAttachment = "background-attachment";
        public static readonly string BackgroundColor = "background-color";
        public static readonly string BackgroundClip = "background-clip";
        public static readonly string BackgroundOrigin = "background-origin";
        public static readonly string BackgroundSize = "background-size";
        public static readonly string BackgroundImage = "background-image";
        public static readonly string BackgroundPosition = "background-position";
        public static readonly string BackgroundPositionX = "background-position-x";
        public static readonly string BackgroundPositionY = "background-position-y";
        public static readonly string BackgroundRepeat = "background-repeat";
        public static readonly string Background = "background";
        public static readonly string Behavior = "behavior";
        public static readonly string BaselineShift = "baseline-shift";
        public static readonly string BorderColor = "border-color";
        public static readonly string BorderSpacing = "border-spacing";
        public static readonly string BorderCollapse = "border-collapse";
        public static readonly string BorderStyle = "border-style";
        public static readonly string BorderRadius = "border-radius";
        public static readonly string BorderTopLeftRadius = "border-top-left-radius";
        public static readonly string BorderTopRightRadius = "border-top-right-radius";
        public static readonly string BorderBottomLeftRadius = "border-bottom-left-radius";
        public static readonly string BorderBottomRightRadius = "border-bottom-right-radius";
        public static readonly string BoxShadow = "box-shadow";
        public static readonly string BoxSizing = "box-sizing";
        public static readonly string BoxDecorationBreak = "box-decoration-break";
        public static readonly string BreakAfter = "break-after";
        public static readonly string BreakBefore = "break-before";
        public static readonly string BreakInside = "break-inside";
        public static readonly string BackfaceVisibility = "backface-visibility";
        public static readonly string BorderImage = "border-image";
        public static readonly string BorderImageOutset = "border-image-outset";
        public static readonly string BorderImageRepeat = "border-image-repeat";
        public static readonly string BorderImageSource = "border-image-source";
        public static readonly string BorderImageSlice = "border-image-slice";
        public static readonly string BorderImageWidth = "border-image-width";
        public static readonly string BorderTop = "border-top";
        public static readonly string BorderRight = "border-right";
        public static readonly string BorderBottom = "border-bottom";
        public static readonly string BorderLeft = "border-left";
        public static readonly string BorderTopColor = "border-top-color";
        public static readonly string BorderLeftColor = "border-left-color";
        public static readonly string BorderRightColor = "border-right-color";
        public static readonly string BorderBottomColor = "border-bottom-color";
        public static readonly string BorderTopStyle = "border-top-style";
        public static readonly string BorderLeftStyle = "border-left-style";
        public static readonly string BorderRightStyle = "border-right-style";
        public static readonly string BorderBottomStyle = "border-bottom-style";
        public static readonly string BorderTopWidth = "border-top-width";
        public static readonly string BorderLeftWidth = "border-left-width";
        public static readonly string BorderRightWidth = "border-right-width";
        public static readonly string BorderBottomWidth = "border-bottom-width";
        public static readonly string BorderWidth = "border-width";
        public static readonly string Border = "border";
        public static readonly string Bottom = "bottom";
        public static readonly string Columns = "columns";
        public static readonly string ColumnCount = "column-count";
        public static readonly string ColumnFill = "column-fill";
        public static readonly string ColumnGap = "column-gap";
        public static readonly string ColumnRule = "column-rule";
        public static readonly string ColumnRuleColor = "column-rule-color";
        public static readonly string ColumnRuleStyle = "column-rule-style";
        public static readonly string ColumnRuleWidth = "column-rule-width";
        public static readonly string ColumnSpan = "column-span";
        public static readonly string ColumnWidth = "column-width";
        public static readonly string CaptionSide = "caption-side";
        public static readonly string Clear = "clear";
        public static readonly string Clip = "clip";
        public static readonly string ClipLeft = "clip-left";
        public static readonly string ClipTop = "clip-top";
        public static readonly string ClipRight = "clip-right";
        public static readonly string ClipBottom = "clip-bottom";
        public static readonly string ClipPath = "clip-path";
        public static readonly string ClipRule = "clip-rule";
        public static readonly string Color = "color";
        public static readonly string ColorInterpolationFilters = "color-interpolation-filters";
        public static readonly string Content = "content";
        public static readonly string CounterIncrement = "counter-increment";
        public static readonly string CounterReset = "counter-reset";
        public static readonly string Cursor = "cursor";
        public static readonly string Direction = "direction";
        public static readonly string Display = "display";
        public static readonly string DominantBaseline = "dominant-baseline";
        public static readonly string EmptyCells = "empty-cells";
        public static readonly string EnableBackground = "enable-background";
        public static readonly string Fill = "fill";
        public static readonly string FillOpacity = "fill-opacity";
        public static readonly string FillRule = "fill-rule";
        public static readonly string Filter = "filter";
        public static readonly string Flex = "flex";
        public static readonly string FlexBasis = "flex-basis";
        public static readonly string FlexDirection = "flex-direction";
        public static readonly string FlexFlow = "flex-flow";
        public static readonly string FlexGrow = "flex-grow";
        public static readonly string FlexShrink = "flex-shrink";
        public static readonly string FlexWrap = "flex-wrap";
        public static readonly string Float = "float";
        public static readonly string FontFamily = "font-family";
        public static readonly string FontFeatureSettings = "font-feature-settings";
        public static readonly string FontSize = "font-size";
        public static readonly string FontSizeAdjust = "font-size-adjust";
        public static readonly string FontStyle = "font-style";
        public static readonly string FontStretch = "font-stretch";
        public static readonly string FontVariant = "font-variant";
        public static readonly string FontWeight = "font-weight";
        public static readonly string Font = "font";
        public static readonly string Gap = "gap";
        public static readonly string GlyphOrientationHorizontal = "glyph-orientation-horizontal";
        public static readonly string GlyphOrientationVertical = "glyph-orientation-vertical";
        public static readonly string Height = "height";
        public static readonly string ImeMode = "ime-mode";
        public static readonly string JustifyContent = "justify-content";
        public static readonly string LayoutGrid = "layout-grid";
        public static readonly string LayoutGridChar = "layout-grid-char";
        public static readonly string LayoutGridType = "layout-grid-type";
        public static readonly string LayoutGridMode = "layout-grid-mode";
        public static readonly string LayoutGridLine = "layout-grid-line";
        public static readonly string Left = "left";
        public static readonly string LetterSpacing = "letter-spacing";
        public static readonly string LineHeight = "line-height";
        public static readonly string ListStyleImage = "list-style-image";
        public static readonly string ListStylePosition = "list-style-position";
        public static readonly string ListStyleType = "list-style-type";
        public static readonly string ListStyle = "list-style";
        public static readonly string MarginRight = "margin-right";
        public static readonly string MarginLeft = "margin-left";
        public static readonly string MarginTop = "margin-top";
        public static readonly string MarginBottom = "margin-bottom";
        public static readonly string Margin = "margin";
        public static readonly string Marker = "marker";
        public static readonly string MarkerEnd = "marker-end";
        public static readonly string MarkerMid = "marker-mid";
        public static readonly string MarkerStart = "marker-start";
        public static readonly string Mask = "mask";
        public static readonly string MaxHeight = "max-height";
        public static readonly string MaxWidth = "max-width";
        public static readonly string MinHeight = "min-height";
        public static readonly string MinWidth = "min-width";
        public static readonly string Opacity = "opacity";
        public static readonly string Order = "order";
        public static readonly string Orphans = "orphans";
        public static readonly string OutlineColor = "outline-color";
        public static readonly string OutlineStyle = "outline-style";
        public static readonly string OutlineWidth = "outline-width";
        public static readonly string Outline = "outline";
        public static readonly string Overflow = "overflow";
        public static readonly string OverflowX = "overflow-x";
        public static readonly string OverflowY = "overflow-y";
        public static readonly string OverflowWrap = "overflow-wrap";
        public static readonly string PaddingTop = "padding-top";
        public static readonly string PaddingRight = "padding-right";
        public static readonly string PaddingLeft = "padding-left";
        public static readonly string PaddingBottom = "padding-bottom";
        public static readonly string Padding = "padding";
        public static readonly string PageBreakAfter = "page-break-after";
        public static readonly string PageBreakBefore = "page-break-before";
        public static readonly string PageBreakInside = "page-break-inside";
        public static readonly string Perspective = "perspective";
        public static readonly string PerspectiveOrigin = "perspective-origin";
        public static readonly string PointerEvents = "pointer-events";
        public static readonly string Position = "position";
        public static readonly string Quotes = "quotes";
        public static readonly string Right = "right";
        public static readonly string RowGap = "row-gap";
        public static readonly string RubyAlign = "ruby-align";
        public static readonly string RubyOverhang = "ruby-overhang";
        public static readonly string RubyPosition = "ruby-position";
        public static readonly string Scrollbar3dLightColor = "scrollbar3d-light-color";
        public static readonly string ScrollbarArrowColor = "scrollbar-arrow-color";
        public static readonly string ScrollbarDarkShadowColor = "scrollbar-dark-shadow-color";
        public static readonly string ScrollbarFaceColor = "scrollbar-face-color";
        public static readonly string ScrollbarHighlightColor = "scrollbar-highlight-color";
        public static readonly string ScrollbarShadowColor = "scrollbar-shadow-color";
        public static readonly string ScrollbarTrackColor = "scrollbar-track-color";
        public static readonly string Stroke = "stroke";
        public static readonly string StrokeDasharray = "stroke-dasharray";
        public static readonly string StrokeDashoffset = "stroke-dashoffset";
        public static readonly string StrokeLinecap = "stroke-linecap";
        public static readonly string StrokeLinejoin = "stroke-linejoin";
        public static readonly string StrokeMiterlimit = "stroke-miterlimit";
        public static readonly string StrokeOpacity = "stroke-opacity";
        public static readonly string StrokeWidth = "stroke-width";
        public static readonly string TableLayout = "table-layout";
        public static readonly string TextAlign = "text-align";
        public static readonly string TextAlignLast = "text-align-last";
        public static readonly string TextAnchor = "text-anchor";
        public static readonly string TextAutospace = "text-autospace";
        public static readonly string TextDecoration = "text-decoration";
        public static readonly string TextDecorationColor = "text-decoration-color";
        public static readonly string TextDecorationLine = "text-decoration-line";
        public static readonly string TextDecorationStyle = "text-decoration-style";
        public static readonly string TextIndent = "text-indent";
        public static readonly string TextJustify = "text-justify";
        public static readonly string TextOverflow = "text-overflow";
        public static readonly string TextShadow = "text-shadow";
        public static readonly string TextTransform = "text-transform";
        public static readonly string TextUnderlinePosition = "text-underline-position";
        public static readonly string Transform = "transform";
        public static readonly string TransformOrigin = "transform-origin";
        public static readonly string TransformStyle = "transform-style";
        public static readonly string Transition = "transition";
        public static readonly string TransitionDelay = "transition-delay";
        public static readonly string TransitionDuration = "transition-duration";
        public static readonly string TransitionTimingFunction = "transition-timing-function";
        public static readonly string TransitionProperty = "transition-property";
        public static readonly string Top = "top";
        public static readonly string UnicodeBidirectional = "unicode-bidi";
        public static readonly string VerticalAlign = "vertical-align";
        public static readonly string Visibility = "visibility";
        public static readonly string WhiteSpace = "white-space";
        public static readonly string Widows = "widows";
        public static readonly string Width = "width";
        public static readonly string WordBreak = "word-break";
        public static readonly string WordSpacing = "word-spacing";
        public static readonly string WordWrap = "word-wrap";
        public static readonly string WritingMode = "writing-mode";
        public static readonly string ZIndex = "z-index";
        public static readonly string Zoom = "zoom";
        public static readonly string UnicodeRange = "unicode-range";
        public static readonly string Src = "src";
        public static readonly string ObjectFit = "object-fit";
        public static readonly string ObjectPosition = "object-position";
    }
}