namespace UnityEngine.UI.Windows.Components {

    [CreateAssetMenu(menuName = "UI Windows/HTML Page Tags")]
    public class HTMLPageTags : ScriptableObject {

        public HTMLPageComponent.Node[] nodes;
        
        public GameObject FindSource(HtmlAgilityPack.HtmlNode node) {

            foreach (var item in this.nodes) {
                if (item.tag == node.Name &&
                    string.IsNullOrEmpty(item.@class) == false &&
                    node.HasClass(item.@class) == true) {
                    return item.source;
                }
            }
            
            foreach (var item in this.nodes) {
                if (item.tag == node.Name &&
                    string.IsNullOrEmpty(item.@class) == true) {
                    return item.source;
                }
            }

            return null;

        }

    }
    
}