﻿using HtmlAgilityPack;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HapCss.PseudoClassSelectors
{
    [PseudoClassName("nth-child")]
    internal class NthChildPseudoClass : PseudoClass
    {
        protected override bool CheckNode(HtmlAgilityPack.HtmlNode node, string parameter)
        {
            if (parameter.Contains("n") == true) {
                {
                    var match = System.Text.RegularExpressions.Regex.Match(parameter, @"([0-9+])n\+([0-9]+)");
                    if (match.Groups.Count > 1) {
                        var elem = int.Parse(match.Groups[1].Value);
                        var offset = int.Parse(match.Groups[2].Value);
                        var idx = node.GetIndexOnParent();
                        return (idx + 1) % elem == offset;
                    }
                }
                {
                    var match = System.Text.RegularExpressions.Regex.Match(parameter, @"([0-9+])n");
                    if (match.Groups.Count > 1) {
                        var elem = int.Parse(match.Groups[1].Value);
                        var idx = node.GetIndexOnParent();
                        return (idx + 1) % elem == 0;
                    }
                }
            }
            return node.GetIndexOnParent() == int.Parse(parameter) - 1;
        }
    }
}